package PateLib;

import java.util.*;
import java.io.*;
import java.awt.*;

/*
---------------------------------------------------------------------------
File	    :		WriteFile.java
Package	    :		PateLib  Version 1.0
Author	    :		Jason Robert Salemme
Programmed  :		8 Aug 96	
Modified    :
---------------------------------------------------------------------------
 *
 * 
 * Susan H. Rodger, Anna O. Bilska (Anya), Jason R. Salemme
 * Computer Science Department
 * Duke University
 * August 1996
 * Supported by National Science Foundation DUE-9596002 and DUE-9555084.
 *
 * Copyright (c) 1996
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

public class WriteFile{

    Grammar g;

    //Constructor
    public WriteFile(Grammar g){
	this.g = g;
    }

    //Write the file
    public void write(String filename) throws Exception
    {
        String text = g.toSaveString();
        PrintWriter ps = new PrintWriter((new FileWriter(filename)), true);
        ps.println("# Grammar created by PATE");
        ps.println(text);

	//output the productions
	//ps.println(g.NumProductions());
	ps.close();
    }
}
