package PateLib;

import java.awt.*;

/*
---------------------------------------------------------------------------
File	    :		OKDialog.java
Package	    :		PateLib  Version 1.0
Author	    :		Magda & Octavian Procopiuc
Programmed  :		15 Jul 96
Modified    :
---------------------------------------------------------------------------
 *
 * 
 * Susan H. Rodger, Anna O. Bilska (Anya), Jason R. Salemme
 * Computer Science Department
 * Duke University
 * August 1996
 * Supported by National Science Foundation DUE-9596002 and DUE-9555084.
 *
 * Copyright (c) 1996
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the author.  The name of the author may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * This class pops up a simple dialog box with an OK button.  It is modal
 * window.
 */
public class OKDialog extends TextInDialog {

    final static private String	    OK_STRING = "  OK  ";
    final static private String[]   OKButtonStr = {OK_STRING};

/**
 * Allocates a new instance of class OKDialog.
 * @param message the message to display
 * @param parent the parent frame
 * @param title the title for the dialog window
 */
    public OKDialog(String message, Frame parent, String title) {
	super(message, OKButtonStr, parent, title);
    }

}	// end of class OKDialog.

